<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id) || $user['level'] != 1) go(URL);

$title = lang('Админ-панель :: История посещений сайта','Адмін-панель :: Історія відвідувань сайту');
require_once '../incfiles/head.php';

$all = $mysqli->query("SELECT `id` FROM `users_visit`")->num_rows;

echo '<div class="title">'.lang('История посещений сайта','Історія відвідувань сайту').'</div>';

if ($all > 0)
{
	$cp = ceil($all/10);
	$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
	$start = $p*10-10;
	$res = $mysqli->query("SELECT * FROM `users_visit` ORDER by `time` DESC LIMIT $start,10");
	while ($array = $res->fetch_array()) echo '<div class="block"><b>IP:</b> '.$array['ip'].'<br/><b>UA:</b> '.$array['ua'].'<br/><b>REFERER:</b> '.$array['referer'].'<br/><b>URL:</b> '.$array['url'].'<br/>'.vtime($array['time']).'</div>';
	navi($p,$cp,'/adm/stat_visit.php?');
}


require_once '../incfiles/foot.php';

?>